<?php
/*
 * @component jOpenSim
 * @copyright Copyright (C) 2019 FoTo50 http://www.jopensim.com/
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die();

require_once(JPATH_COMPONENT_SITE.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'opensim.php');

class opensimModelInterface extends OpenSimModelOpenSim {

	public $_settingsData;
	public $filename = "interface.php";
	public $view = "interface";
	public $_os_db;
	public $_osgrid_db;
	public $_db;
	public $xmlrpcfunctions = array();

	public function __construct() {
		parent::__construct();
		$this->getSettingsData();
		$this->initMethods();
	}

	public function initMethods() {
		$this->xmlrpcfunctions['searchfunctions'] = array(
				"init_SearchDataUpdate",
				"searchDataUpdate",
				"dir_places_query",
				"dir_popular_query",
				"dir_land_query",
				"dir_events_query",
				"dir_classified_query",
				"event_info_query",
				"classifieds_info_query"); // all methods for handling inworld search
		$this->xmlrpcfunctions['profilefunctions'] = array(
				"avatar_properties_request",
				"avatar_properties_update",
				"avatar_interests_update",
				"avatarnotesrequest",
				"avatar_notes_update",
				"avatarpicksrequest",
				"pickinforequest",
				"picks_update",
				"picks_delete",
				"avatarclassifiedsrequest",
				"classifiedinforequest",
				"classified_update",
				"classified_delete",
				"user_preferences_request",
				"user_preferences_update",
				"clientInfo"); // all methods for the profile handling
		$this->xmlrpcfunctions['groupfunctions'] = array(
				"groups.createGroup",
				"groups.updateGroup",
				"groups.getGroup",
				"groups.findGroups",
				"groups.getGroupRoles",
				"groups.addRoleToGroup",
				"groups.removeRoleFromGroup",
				"groups.updateGroupRole",
				"groups.getGroupRoleMembers",
				"groups.setAgentGroupSelectedRole",
				"groups.addAgentToGroupRole",
				"groups.removeAgentFromGroupRole",
				"groups.getGroupMembers",
				"groups.addAgentToGroup",
				"groups.addAgentToGroup2",
				"groups.removeAgentFromGroup",
				"groups.setAgentGroupInfo",
				"groups.addAgentToGroupInvite",
				"groups.getAgentToGroupInvite",
				"groups.removeAgentToGroupInvite",
				"groups.setAgentActiveGroup",
				"groups.getAgentGroupMembership",
				"groups.getAgentGroupMemberships",
				"groups.getAgentActiveMembership",
				"groups.getAgentRoles",
				"groups.getGroupNotices",
				"groups.getGroupNotice",
				"groups.addGroupNotice"); // all (?) methods for group handling	}
	}

	public function avatar_properties_request($parameter) {
//		global $debug;
//		if(is_array($debug) && array_key_exists("profile",$debug) && $debug['profile'] == "1") {
//			simpledebugzeile(__FUNCTION__.": ".varexport($parameter,TRUE));
//		}
		if(!array_key_exists("avatar_id",$parameter)) {
			$retval['success'] = FALSE;
			return $retval;
		}
		$avatar_id = $parameter['avatar_id'];
		$query = sprintf("SELECT
							partner 		AS Partner,
							url				AS ProfileUrl,
							wantmask		AS wantmask,
							wanttext		AS wanttext,
							skillsmask		AS skillsmask,
							skillstext		AS skillstext,
							languages		AS languages,
							firstLifeImage	AS FirstLifeImage,
							firstLifeText	AS FirstLifeAboutText,
							image			AS Image,
							aboutText		AS AboutText,
							allowPublish	AS userFlags
						FROM
							#__opensim_userprofile
						WHERE
							avatar_id = '%s'",
					$avatar_id);
		$db = JFactory::getDBO();
		$db->setQuery($query);
		$profile = $db->loadAssocList();
		$retval['success'] = TRUE;
		if(count($profile) == 1) {
			// decode first all during storing encoded fields
			$retval['data'][0]['Partner']				= $profile[0]['Partner'];
			$retval['data'][0]['ProfileUrl']			= utf8_decode($profile[0]['ProfileUrl']);
			$retval['data'][0]['wantmask']				= $profile[0]['wantmask'];
			$retval['data'][0]['wanttext']				= utf8_decode($profile[0]['wanttext']);
			$retval['data'][0]['skillsmask']			= $profile[0]['skillsmask'];
			$retval['data'][0]['skillstext']			= utf8_decode($profile[0]['skillstext']);
			$retval['data'][0]['languages']				= utf8_decode($profile[0]['languages']);
			$retval['data'][0]['FirstLifeImage']		= $profile[0]['FirstLifeImage'];
			$retval['data'][0]['FirstLifeAboutText']	= utf8_decode($profile[0]['FirstLifeAboutText']);
			$retval['data'][0]['Image']					= $profile[0]['Image'];
			$retval['data'][0]['AboutText']				= utf8_decode($profile[0]['AboutText']);
			$retval['data'][0]['userFlags']				= $profile[0]['userFlags'];
		} else {
			$retval['data'][0]['Partner']				= null;
			$retval['data'][0]['ProfileUrl']			= null;
			$retval['data'][0]['wantmask']				= 0;
			$retval['data'][0]['wanttext']				= "";
			$retval['data'][0]['skillsmask']			= 0;
			$retval['data'][0]['skillstext']			= "";
			$retval['data'][0]['languages']				= "";
			$retval['data'][0]['FirstLifeImage']		= null;
			$retval['data'][0]['FirstLifeAboutText']	= "";
			$retval['data'][0]['Image']					= null;
			$retval['data'][0]['AboutText'] 			= JText::_('NOPROFILEAVAILABLE');
			$retval['data'][0]['userFlags']				= 0;
		}
		return $retval;
	}

}
?>
